import matplotlib.pyplot as plt
numargs = beta.numargs
[ a, b ] = [0.9,] * numargs
rv = beta(a, b)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = beta.cdf(x, a, b)
h = plt.semilogy(np.abs(x - beta.ppf(prb, a, b)) + 1e-20)

# Random number generation

R = beta.rvs(a, b, size=100)
